Contents

# DDB Function [VBA]

Returns the depreciation of an asset for a specified period using the arithmetic-declining method.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

    DDB(Cost As Double, Salvage As Double, Life as Double, Period as Double, [Factor as Variant])

### Return value:

Double

### Parameters:

Cost fixes the initial cost of an asset.

Náhrada je hodnota aktíva na konci odpisu.

Life is the number of periods (for example, years or months) defining how long the asset is to be used.

Period states the period for which the value is to be calculated.

Factor (optional) is the factor by which depreciation decreases. If a value is not entered, the default is factor 2.

Použite túto formu odpisov, pokiaľ požadujete vyššiu počiatočnú hodnotu odpisu (na rozdiel od lineárneho odpisovania). Výška odpisov sa znižuje každé obdobie. Obvykle sa používajú u aktíva, u ktorých krátko po kúpe výraznejšie klesá hodnota (napríklad autá, počítače). Uvedomte si, prosím, že účtová hodnota v tomto type kalkulácie nikdy neklesne na nulu.

### Error codes:

5 Neplatné volanie procedúry

### Example:

    Sub ExampleDDB
     Dim ddb_yr1 As Double
     ddb_yr1 = DDB(75000,1,60,12,2)
     Print ddb_yr1 ' returns 1,721.81 currency units.
    End Sub

Related Topics

DDB function in CALC

VBA financial functions